<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>hk.quantr</groupId>
	<artifactId>quantr-vcd-component</artifactId>
	<name>Quantr VCD Component</name>
	<version>1.0</version>
	<packaging>jar</packaging>
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<maven.compiler.source>13</maven.compiler.source>
		<maven.compiler.target>13</maven.compiler.target>
	</properties>
	<scm>
		<url>https://gitlab.com/quantr/toolchain/quantr-vcd-component</url>
	</scm>
	<repositories>
		<repository>
			<id>quantr</id>
			<url>https://maven.quantr.hk/repo</url>
		</repository>
	</repositories>
	<distributionManagement>
		<repository>
			<id>quantr</id>
			<url>file:///home/maven.quantr.hk/www/repo</url>
		</repository>
	</distributionManagement>
	<developers>
		<developer>
			<id>peter</id>
			<name>Peter</name>
			<email>peter@quantr.hk</email>
			<url>https://peter.quantr.hk</url>
			<organization>None</organization>
			<organizationUrl>None</organizationUrl>
			<roles>
				<role>architect</role>
				<role>founder</role>
			</roles>
			<timezone>+8</timezone>
			<properties>
				<picUrl>http://s.gravatar.com/avatar/09ab35661cb9508c728f11e3b62d24ba?s=80</picUrl>
			</properties>
		</developer>
	</developers>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-assembly-plugin</artifactId>
				<version>3.3.0</version>
				<executions>
					<execution>
						<id>package-jar-with-dependencies</id>
						<phase>package</phase>
						<goals>
							<goal>single</goal>
						</goals>
						<configuration>
							<appendAssemblyId>false</appendAssemblyId>
							<descriptorRefs>
								<descriptorRef>jar-with-dependencies</descriptorRef>
							</descriptorRefs>
							<archive>
								<manifest>
									<mainClass>hk.quantr.vcdcomponent.QuantrVCDComponent</mainClass>
								</manifest>
							</archive>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.antlr</groupId>
				<artifactId>antlr4-maven-plugin</artifactId>
				<version>4.11.1</version>
				<executions>
					<execution>
						<id>antlr</id>
						<goals>
							<goal>antlr4</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<sourceDirectory>${basedir}/src/main/java/hk/quantr/vcdcomponent/antlr</sourceDirectory>
					<outputDirectory>${project.build.directory}/generated-sources/antlr4/hk/quantr/vcdcomponent/antlr</outputDirectory>
					<arguments>
						<argument>-package</argument>
						<argument>hk.quantr.assembler.antlr</argument>
					</arguments>
					<listener>true</listener>
				</configuration>
			</plugin>
		</plugins>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
			</resource>
		</resources>
	</build>
	<dependencies>
		<dependency>
			<groupId>hk.quantr</groupId>
			<artifactId>quantr-vcd-library</artifactId>
			<version>1.1</version>
		</dependency>
		<dependency>
			<groupId>com.formdev</groupId>
			<artifactId>flatlaf</artifactId>
			<version>2.0-rc1</version>
		</dependency>
		<dependency>
			<groupId>com.formdev</groupId>
			<artifactId>flatlaf-intellij-themes</artifactId>
			<version>2.0-rc1</version>
		</dependency>
		<dependency>
			<groupId>commons-cli</groupId>
			<artifactId>commons-cli</artifactId>
			<version>1.5.0</version>
		</dependency>
		<dependency>
			<groupId>hk.quantr</groupId>
			<artifactId>assembler</artifactId>
			<version>1.5</version>
		</dependency>
		<dependency>
			<groupId>hk.quantr</groupId>
			<artifactId>vcd-check</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>hk.quantr</groupId>
			<artifactId>riscv_simulator</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>hk.quantr</groupId>
			<artifactId>quantr-java-library</artifactId>
			<version>1.0</version>
		</dependency>
	</dependencies>
</project>